package info.bukova.isspst.services.invoicing;

import info.bukova.isspst.data.Invoicing;
import info.bukova.isspst.data.Workgroup;
import info.bukova.isspst.services.Service;

import java.math.BigDecimal;
import java.util.List;

public interface InvoicingService extends Service<Invoicing> {
	
	public BigDecimal totalInvoicedForWorkgroup(Workgroup workgroup);
	
	public void loadReqItems(Invoicing invoicing);
	
	public void loadItems(Invoicing invoicing);
	
	public void calculate(Invoicing invoicing);

	public List<Invoicing> getPendingList();

	public List<Invoicing> getArchiveList();
}
